package dev.fyloz.trial.colorrecipesexplorer;

import dev.fyloz.trial.colorrecipesexplorer.core.model.config.CREProperties;
import dev.fyloz.trial.colorrecipesexplorer.core.model.config.MaterialTypeProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

@SpringBootApplication
@EnableConfigurationProperties({MaterialTypeProperties.class, CREProperties.class})
public class ColorRecipesExplorerApplication {

    public static void main(String[] args) {
        SpringApplication.run(ColorRecipesExplorerApplication.class, args);
    }

}
